Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

- netscape-flash, nspluginwrapper: obsolete

  • Loading branch information...
commit 0f7f97af289b5a60c0377d118555c2052a7f774f 1 parent 1bf1e87
@l29ah authored
View
1  net-www/netscape-flash/Manifest
@@ -1 +0,0 @@
-MISC netscape-flash-10.0.12.36-r1.ebuild.1 1979 RMD160 f8fc0f0516b364ecbe7269eece91c6f4176cd6b1 SHA1 dc68f84832aab77451fe3c87e084367bb062c6c8 SHA256 eb6da1c372a2f6e6802881efa2ba9de063a80b8e79931a0a650307086a4271a5
View
63 net-www/netscape-flash/netscape-flash-10.0.12.36-r1.ebuild.1
@@ -1,63 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/netscape-flash-10.0.12.36-r1.ebu
-ild,v 1.3 2008/10/23 18:25:19 maekke Exp $
-
-DESCRIPTION="Adobe Flash Player"
-SRC_URI="http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.d20.7.linux-x86_64.so.tar.gz"
-HOMEPAGE="http://www.adobe.com/"
-IUSE=""
-SLOT="0"
-
-KEYWORDS="amd64"
-LICENSE="AdobeFlash-10"
-RESTRICT="strip mirror"
-
-S="${WORKDIR}"
-
-RDEPEND="x11-libs/libXext
- x11-libs/libX11
- x11-libs/libXt
- =x11-libs/gtk+-2*
- media-libs/freetype
- media-libs/fontconfig
- dev-libs/nss
- net-misc/curl
- >=sys-libs/glibc-2.4
- media-fonts/corefonts"
-
-src_install() {
- pushd "${S}/usr/lib/flash-plugin"
- exeinto /opt/netscape/plugins
- doexe libflashplayer.so
- inst_plugin /opt/netscape/plugins/libflashplayer.so
- popd
-
- insinto "/etc/adobe"
- doins "${FILESDIR}/mms.cfg"
-
- if [[ "`which firefox 2>/dev/null`" != "" ]]; then
- mkdir -p "${D}/usr/lib/mozilla-firefox/plugins"
- ln -s --target-directory="${D}/usr/lib/mozilla-firefox/plugins" \
- /opt/netscape/plugins/libflashplayer.so
- fi
-
- if [[ "`which seamonkey 2>/dev/null`" != "" ]]; then
- mkdir -p "${D}/usr/lib/seamonkey/plugins"
- ln -s --target-directory="${D}/usr/lib/seamonkey/plugins" \
- /opt/netscape/plugins/libflashplayer.so
- fi
-
- if [[ "`which opera 2>/dev/null`" != "" ]] || \
- [[ "`which konqueror 2>/dev/null`" != "" ]]; then
- mkdir -p "${D}/usr/lib/netscape/plugins"
- ln -s --target-directory="${D}/usr/lib/netscape/plugins" \
- /opt/netscape/plugins/libflashplayer.so
- fi
-}
-
-pkg_postinst() {
- ewarn "Flash player is closed-source, with a long history of security"
- ewarn "issues. Please consider only running flash applets you know to"
- ewarn "be safe."
-}
View
3  net-www/nspluginwrapper/Manifest
@@ -1,3 +0,0 @@
-DIST nspluginwrapper-1.1.0.tar.bz2 304485 RMD160 70fb7ba9425eff569e5b8b17d0f817b91883e26a SHA1 48e548ac7ef7e12ffb2784752bb321141921cda6 SHA256 ec660115a5ab30003d35ef3df301aca167d0212aaf1921bd52c9cda900446177
-EBUILD nspluginwrapper-1.1.0.ebuild 2078 RMD160 edc182ee668b76c712720a4d635f04ed6a1815da SHA1 aa7066c64d030a27f6819dd8dc4061060bbb5675 SHA256 76d78a6842c0d5ca80e3d1ab98d7965ea67549660e9ab08e7b8eda553d131857
-MISC metadata.xml 253 RMD160 37a89adccd0388cf014f6768a21b1ec09252d21c SHA1 fa43576fb2327afb837b5b2ea57dc6ab8525494b SHA256 0b0d878d1f93316b2966ec90c1f80c46fe67fb3f5647b28f7c30d9647dbb1854
View
10 net-www/nspluginwrapper/metadata.xml
@@ -1,10 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>amd64</herd>
-<maintainer>
- <email>chutzpah@gentoo.org</email>
- <name>Patrick McLean</name>
-</maintainer>
-</pkgmetadata>
-
View
72 net-www/nspluginwrapper/nspluginwrapper-1.1.0.ebuild
@@ -1,72 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-www/nspluginwrapper/nspluginwrapper-0.9.91.5-r1.ebuild,v 1.2 2008/03/01 14:04:07 angelos Exp $
-
-inherit eutils nsplugins flag-o-matic multilib
-
-DESCRIPTION="Netscape Plugin Wrapper - Load 32bit plugins on 64bit browser"
-HOMEPAGE="http://www.gibix.net/projects/nspluginwrapper/"
-SRC_URI="http://www.gibix.net/projects/nspluginwrapper/files/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64"
-IUSE=""
-
-RDEPEND=">=x11-libs/gtk+-2
- app-emulation/emul-linux-x86-xlibs
- app-emulation/emul-linux-x86-gtklibs
- || ( >=sys-apps/util-linux-2.13 sys-apps/setarch )"
-DEPEND="${RDEPEND}
- dev-util/pkgconfig"
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
-
-# epatch "${FILESDIR}/${P}-g_thread_init.patch" || die "epatch failed"
-}
-
-src_compile() {
- econf --with-biarch \
- --with-lib32=$(ABI=x86 get_libdir) \
- --with-lib64=$(get_libdir) \
- --pkglibdir=/usr/$(get_libdir)/${PN} || die
- emake || die
-}
-
-src_install() {
- emake -j1 DESTDIR="${D}" DONT_STRIP=yes install || die
-
- inst_plugin /usr/$(get_libdir)/nspluginwrapper/x86_64/linux/npwrapper.so
- dosym /usr/$(get_libdir)/nspluginwrapper/x86_64/linux/npconfig /usr/bin/nspluginwrapper
-
- dodoc NEWS README TODO ChangeLog
-}
-
-pkg_postinst() {
- einfo "Auto installing 32bit plugins..."
- nspluginwrapper -a -i
- elog "Any 32bit plugins you currently have installed have now been"
- elog "configured to work in a 64bit browser. Any plugins you install in"
- elog "the future will first need to be setup with:"
- elog " \"nspluginwrapper -i <path-to-32bit-plugin>\""
- elog "before they will function in a 64bit browser"
- elog
-}
-
-# this is terribly ugly, but without a way to query portage as to whether
-# we are upgrading/reinstalling a package versus unmerging, I can't think of
-# a better way
-
-pkg_prerm() {
- einfo "Removing wrapper plugins..."
- nspluginwrapper -a -r
-}
-
-pkg_postrm() {
- if [[ -x /usr/bin/nspluginwrapper ]]; then
- einfo "Auto installing 32bit plugins..."
- nspluginwrapper -a -i
- fi
-}
Please sign in to comment.
Something went wrong with that request. Please try again.